/***************************************************************************
 *   Copyright (C) 2003-2005 by Tom Bigwood, Ron Dicho                     *
 *   veediot@ansiscene.com, icedevil@icednet.org                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <qtimer.h>

#include "tundraaboutimage.h"
#include "about.xpm"

TundraAboutImage::TundraAboutImage(QWidget *parent, const char *name)
        : QWidget(parent, name)
{
    back_buffer = new QPixmap(424, 127);
    setFixedSize(424, 127);
}


TundraAboutImage::~TundraAboutImage()
{
}

void TundraAboutImage::paintEvent(QPaintEvent*) {
    QPainter paint(back_buffer);
    paint.drawPixmap(QRect(0, 0, 424, 127), QPixmap((const char**)about_xpm));

    paint.drawLine(QPoint(0, 126), QPoint(423, 126));
    bitBlt(this, 0, 0, back_buffer, 0, 0, width(), height(),CopyROP,false);
}



