/***************************************************************************
 *   Copyright (C) 2003-2005 by Tom Bigwood, Ron Dicho                     *
 *   veediot@ansiscene.com, icedevil@icednet.org                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef TUNDRAABOUTIMAGE_H
#define TUNDRAABOUTIMAGE_H

#include <qwidget.h>
#include <qpainter.h>
#include <qpixmap.h>
#include <qvaluevector.h>


//! The image widget for the About dialog
/*!
	This is used to draw a custom pixmap in the about dialog
*/

class TundraAboutImage : public QWidget
{
    Q_OBJECT
public:
    //! Constructor
    TundraAboutImage(QWidget *parent = 0, const char *name = 0);
    //! Destructor
    ~TundraAboutImage();
    void paintEvent(QPaintEvent*);

private:
    QPixmap* back_buffer;
};

#endif
