/***************************************************************************
 *   Copyright (C) 2003-2005 by Tom Bigwood, Ron Dicho                     *
 *   veediot@ansiscene.com, icedevil@icednet.org                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "tundracharpreview.h"

TundraCharPreview::TundraCharPreview(TundraModel* m, QWidget* parent, const char* name) : QGroupBox (1, Qt::Vertical, "Character Set", parent, name), model(m)
{
    TundraCharPreview::createObjects();
	setSizePolicy(QSizePolicy(QSizePolicy::MinimumExpanding, QSizePolicy::MinimumExpanding));
}

TundraCharPreview::~TundraCharPreview()
{
}

void TundraCharPreview::createObjects(){
    f1 = new TundraCharPreviewWidget(model,4144,this);
    f1->createObjects();
    f1->setText("F1");

    f2 = new TundraCharPreviewWidget(model,4145,this);
    f2->createObjects();
    f2->setText("F2");

    f3 = new TundraCharPreviewWidget(model,4146,this);
    f3->createObjects();
    f3->setText("F3");

    f4 = new TundraCharPreviewWidget(model,4147,this);
    f4->createObjects();
    f4->setText("F4");

    f5 = new TundraCharPreviewWidget(model,4148,this);
    f5->createObjects();
    f5->setText("F5");

    f6 = new TundraCharPreviewWidget(model,4149,this);
    f6->createObjects();
    f6->setText("F6");

    f7 = new TundraCharPreviewWidget(model,4150,this);
    f7->createObjects();
    f7->setText("F7");

    f8 = new TundraCharPreviewWidget(model,4151,this);
    f8->createObjects();
    f8->setText("F8");

    f9 = new TundraCharPreviewWidget(model,4152,this);
    f9->createObjects();
    f9->setText("F9");

    f10 = new TundraCharPreviewWidget(model,4153,this);
    f10->createObjects();
    f10->setText("F10");

}
