/***************************************************************************
 *   Copyright (C) 2003-2005 by Tom Bigwood, Ron Dicho                     *
 *   veediot@ansiscene.com, icedevil@icednet.org                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef TUNDRAPALETTE_H
#define TUNDRAPALETTE_H

#include <qgroupbox.h>

#include "tundracolorbox.h"
#include "tundracolors.h"
#include "tundramodel.h"

//! The palette box container widget, contains swatches of TundraColorBoxes
class TundraPalette : public QGroupBox
{
public:
    //! Constructor
    /*!
        \param m A pointer to the model
    */
    TundraPalette(TundraModel* m, QWidget* parent, const char* name=0);

    //! Destructor
    virtual ~TundraPalette();

private:
    TundraModel* model;

};

#endif
