/***************************************************************************
 *   Copyright (C) 2003-2005 by Tom Bigwood, Ron Dicho                     *
 *   veediot@ansiscene.com, icedevil@icednet.org                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef TUNDRAABOUTDIALOG_H
#define TUNDRAABOUTDIALOG_H

#include <qdialog.h>
#include <qlabel.h>
#include <qvbox.h>

#include "tundraaboutimage.h"

//! TundaDraw's custom about dialog
/*!
	The about dialog draws Rick's about image, and then a label showing the copyright.
*/

class TundraAboutDialog : public QDialog
{
    Q_OBJECT
public:
    //! Constructor
    TundraAboutDialog(QWidget *parent = 0, const char *name = 0);
    //! Destructor
    ~TundraAboutDialog();
private:
    TundraAboutImage* image;
    QVBox* box;
    QLabel* text;

};

#endif
